petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatRestoreRowIJ

Call after you are completed with the ia,ja indices obtained with MatGetRowIJ().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatRestoreRowIJ(Mat mat,PetscInt shift,PetscBool symmetric,PetscBool inodecompressed,PetscInt *n,const PetscInt *ia[],const PetscInt *ja[],PetscBool  *done)

Collective on Mat

### Input Parameters

| mat | - the matrix
| shift | - 1 or zero indicating we want the indices starting at 0 or 1
| symmetric | - PETSC_TRUE or PETSC_FALSE indicating the matrix data structure should be symmetrized
| inodecompressed | - PETSC_TRUE or PETSC_FALSE indicating if the nonzero structure of the inodes or the nonzero elements is wanted. For BAIJ matrices the compressed version is always used.
| n | - size of (possibly compressed) matrix
| ia | - the row pointers
| ja | - the column indices

### Output Parameters

done -PETSC_TRUE or PETSC_FALSE indicated that the values have been returned

### Note

This routine zeros out n, ia, and ja. This is to prevent accidental us of the array after it has been restored. If you pass NULL, it will not zero the pointers. Use of ia or ja after MatRestoreRowIJ() is invalid.

### See Also

MatGetRowIJ(), MatRestoreColumnIJ()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages